# Table of Content

- [General](#general)
- [KissManga](#kissmanga)
  - [Get Mangas](#get-mangas)
- [MangaGo](#kissmanga)
  - [Get Mangas](#get-mangas)

# General

HakuNeko provides parsers to access mangas from some selected websites.

Include the module:

```javascript
// [optional] use a logtrine logger in case for debug output
const { FileLogger } = require('logtrine');
const { KissManga, MangaGo } = require('hakuneko');

var logger = new FileLogger('./hakuneko.log', ConsoleLogger.LEVEL.All);
var kissmanga = new KissManga(logger);
var mangago = new MangaGo(logger);
```

Basic data structure for manga(s):
```json
{
  "id": "/Manga/Mirai-Nikki",
  "title": "Mirai Nikki"
}
```

Basic data structure for chapter(s):
```json
{
  "id": "/Manga/Mirai-Nikki/ch-001",
  "title": "Chapter 01 - Beginning"
}
```

[back to top](#table-of-content)

---

# KissManga

### Get Mangas

**NOTE:** Website will ban your IP when using this module, only use it if you have dynamic IP!

Function to parse mangas from the website.
The manga list is scattered over multiple website pages, where each page contains roughly 50 mangas.

1. Parameter is optional, the *start page* (website) that should be used [default=1].
2. Parameter is optional, the *end page* (website) that should be used [default=autodetect].
```javascript
const { KissManga } = require('hakuneko');
var scraper = new KissManga();
scraper.getMangaList(1, 2)
.then(mangas => console.log(mangas))
.catch(error => console.error(error))
```

[back to top](#table-of-content)

---

# MangaGo

### Get Mangas

**NOTE:** Website will ban your IP when using this module, only use it if you have dynamic IP!

Function to parse mangas from the website.
The manga list is scattered over multiple website pages, where each page contains roughly 44 mangas.

1. Parameter is optional, the *start page* (website) that should be used [default=1].
2. Parameter is optional, the *end page* (website) that should be used [default=autodetect].
```javascript
const { MangaGo } = require('hakuneko');
var scraper = new MangaGo();
scraper.getMangaList(1, 2)
.then(mangas => console.log(mangas))
.catch(error => console.error(error))
```

[back to top](#table-of-content)

---